## GtkPlotDT GtkPlotDT |

## Functions

gint | (*GtkPlotDTprogressbarFunc) ()
GtkObject * | gtk_plot_dt_new ()
void | gtk_plot_dt_set_quadrilateral ()
void | gtk_plot_dt_set_subsampling ()
gboolean | gtk_plot_dt_add_node ()
GtkPlotDTnode * | gtk_plot_dt_get_node ()
gboolean | gtk_plot_dt_triangulate ()
void | gtk_plot_dt_clear ()

## Types and Values

struct | GtkPlotDT
struct | GtkPlotDTnode
| GtkPlotDTsegment
struct | GtkPlotDTtriangle

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotDT

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### GtkPlotDTprogressbarFunc ()

    gint
    (*GtkPlotDTprogressbarFunc) (double progress);

### gtk_plot_dt_new ()

    GtkObject *
    gtk_plot_dt_new (gint num);

### gtk_plot_dt_set_quadrilateral ()

    void
    gtk_plot_dt_set_quadrilateral (GtkPlotDT *dt,
                                   gboolean set);

### gtk_plot_dt_set_subsampling ()

    void
    gtk_plot_dt_set_subsampling (GtkPlotDT *dt,
                                 gboolean set);

### gtk_plot_dt_add_node ()

    gboolean
    gtk_plot_dt_add_node (GtkPlotDT *data,
                          GtkPlotDTnode node);

### gtk_plot_dt_get_node ()

    GtkPlotDTnode *
    gtk_plot_dt_get_node (GtkPlotDT *data,
                          gint idx);

#### Returns

(transfer none) the GtkPlotDTnode

### gtk_plot_dt_triangulate ()

    gboolean
    gtk_plot_dt_triangulate (GtkPlotDT *data);

### gtk_plot_dt_clear ()

    void
    gtk_plot_dt_clear (GtkPlotDT *data);

## Types and Values

### struct GtkPlotDT

    struct GtkPlotDT;

### struct GtkPlotDTnode

    struct GtkPlotDTnode {
    };

The GtkPlotDTnode struct contains only private data. It should only be accessed through the functions described below.

### GtkPlotDTsegment

    typedef struct _GtkPlotDTsegment GtkPlotDTsegment;

### struct GtkPlotDTtriangle

    struct GtkPlotDTtriangle {
    };

The GtkPlotDTtriangle struct contains only private data. It should only be accessed through the functions described below.